Create a single new repository record. Requires auth, implemented by PDS.
POST
/xrpc/com.atproto.repo.createRecord
Request Body required
Section titled “Request Body required ”object
repo
required
The handle or DID of the repo (aka, current account).
string format: at-identifier
rkey
The Record Key.
string format: record-key
record
required
The record itself. Must contain a $type field.
validate
Can be set to ‘false’ to skip Lexicon schema validation of record data, ‘true’ to require it, or leave unset to validate only for known Lexicons.
boolean
collection
required
The NSID of the record collection.
string format: nsid
swapCommit
Compare and swap with the previous commit by CID.
string format: cid
Responses
Section titled “ Responses ”Success
object
cid
required
string format: cid
uri
required
string format: uri
commit
object
cid
required
string format: cid
rev
required
string format: tid
validationStatus
string
Bad Request